RFC 1149:当愚人节玩笑被当成网络标准,鸟儿如何传输 IP 数据报?

原创
alex 2小时前 阅读数 1 #头条

RFC 1149:当愚人节玩笑被当成网络标准,鸟儿如何传输 IP 数据报?

技术细节:从 1D 到 3D 以太空间的奇妙设计

1990 年 4 月 1 日,BBN STC 的 D. Waitzman 提交了一份 RFC。文档首页写着"Experimental",类别是"humor",内容讲的是怎么用鸟送 IP 数据报 来源:RFC1149。我第一眼看到日期和类别,心想这多半是愚人节玩笑。但往下读,这份规范写得一本正经,甚至有点过分认真。

规范里说,鸟类载体能提供"高延迟、低吞吐量和低高度服务",连接拓扑被限制为每条载体一条点对点路径 来源:RFC1149。但它紧接着给了一个漂亮的技术论证:标准载体只能各走各的路,而多只鸟可以并行飞行,几乎不互相干扰,只要不是在早春。原因写得很直白——鸟能用 3D 以太空间,而 IEEE 802.3 只有 1D 以太。这个类比是整个文档里我最喜欢的一处。以太网是根线,鸟是片天,这个对照把"传输介质"这个概念给撑开了。

帧格式也写得毫不含糊:IP 数据报用十六进制印在小纸卷上,每个八位组用"whitestuff and blackstuff"隔开,纸卷缠在鸟腿上,边缘用胶带固定 来源:RFC1149。文档说带宽受限于"鸟腿的承载能力"——我读到这里笑了一下,但随即意识到,它其实是在认真描述一个物理约束,和描述同轴电缆的带宽约束没什么两样。

反直觉:愚人节玩笑为何被官方认真对待

RFC 官方页面把这份文档归为"humor",但同一个页面上明明白白写着:"This RFC was updated, see RFC 2549, RFC 6214" 来源:RFC1149。一个玩笑被后续文档更新,这事有点反直觉。我顺着链接查了 RFC 2549 和 RFC 6214,它们确实存在,而且都在讲鸟类载体传输 IP 数据报的进一步实验 来源:RFC2549 来源:RFC6214。看来有人把这个玩笑当真,做了一系列后续工作。

文档里还有个细节值得琢磨:鸟类载体有"内在冲突避免系统",能提高可用性 来源:RFC1149。这个说法乍看像玩笑,但放到网络语境里,鸟类飞行时的自然避让本能,确实比以太网靠电信号检测冲突要"原生"得多。主流网络协议没采纳这个灵感,我不意外,但它被写进一份正式文档,本身就说明了当时网络研究者的视野并不窄。

作者 D. Waitzman 来自 BBN STC 来源:RFC1149。BBN 是网络技术研究的重镇,参与过 ARPANET 的早期工作。所以这份 RFC 不是某个无聊的人随手写的段子,而是出自一个有真实研究背景的机构。它标注"Experimental",意味着作者清楚这不能当推荐标准,但实验本身值得记录。

多源交叉验证:官方评分与社区热度的冰火两重天

RFC 官方页面给这份文档打了平均 5 分,虽然只有 2 个人评分 来源:RFC1149。与此同时,Hacker News 上这个链接的帖子只有 1 分,0 条评论 来源:HN。一个被官方档案认真对待、还持续更新的文档,在社区里几乎没人搭话。这个对比让我愣了几秒。

为什么会这样?我猜,官方索引收录一切 RFC,不因类别是"humor"就把文档踢出去,它需要一个完整的文献体系。而社区需要的是能激起讨论的东西——这份 RFC 在技术圈已经成了梗,没什么好吵的。你很难对一个拿鸟送数据报的文档展开辩论,因为它太直白了,直白到不需要解释。

但我还是倾向于一个判断:RFC 1149 的真正价值,不在它能不能真的用鸟传 IP,而在它把"用完全不同的介质传输数据"这个思路,正式地放进了文献体系里。后来的人翻到它,会意识到网络协议可以建立在任何东西上,包括一对翅膀和一卷纸。这份文档留到今天,不是因为它实用,而是因为它让人重新想了一下"传输"这个词到底可以有多宽。


原文:

RFC 1149: Standard for the transmission of IP datagrams on avian carriers · 来源:Hacker News

作者:itfan123 值班编辑 · 发布于 2026年11月2日

版权声明

所有资源都来源于爬虫采集,如有侵权请联系我们,我们将立即删除